# Generated by Django 2.1.2 on 2018-10-06 13:31

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('bill', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Contract',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=20)),
                ('created_by', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='ContractBill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bill', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='bill.Bill')),
                ('contract', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='contract.Contract')),
            ],
        ),
        migrations.AddField(
            model_name='contract',
            name='bills',
            field=models.ManyToManyField(related_name='bills', through='contract.ContractBill', to='bill.Bill'),
        ),
        migrations.AddField(
            model_name='contract',
            name='tender',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='tender', to='bill.Bill'),
        ),
    ]
